Chinaunix首页 | 论坛 | 博客
  • 博客访问: 2520690
  • 博文数量: 323
  • 博客积分: 10211
  • 博客等级: 上将
  • 技术积分: 4934
  • 用 户 组: 普通用户
  • 注册时间: 2006-08-27 14:56
文章分类

全部博文(323)

文章存档

2012年(5)

2011年(3)

2010年(6)

2009年(140)

2008年(169)

分类: 系统运维

2009-10-26 15:51:40

  在AIX5.3下查看apache的版本出现错误,提示如下:
[test1:/ptc/apache/bin]#./httpd -v
Could not load program ./httpd:
        Dependent module libaprutil-0.so could not be loaded.
Could not load module libaprutil-0.so.
System error: No such file or directory
 
但其实这个文件是存在的:
 
# find /ptc/apache -name 'libaprutil-0.so' -print
/ptc/apache/lib/libaprutil-0.so
 
[test1:/ptc/apache/bin]#echo $LIBPATH   --结果为空
[test1:/ptc/apache/bin]#export LIBPATH=/ptc/apache/lib   --定义一下LIBPATH变量
[test1:/ptc/apache/bin]#./httpd -v   --运行正常
Server version: Apache/2.0.59
Server built:   Aug 18 2006 12:59:53
 
http server默认是装在/USR下的,所以需要指定LIBPATH变量。
阅读(3302) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~